Skip to main content

Get Funding Rate History

Request Example

curl "https://api.mexc.com/api/v1/contract/funding_rate/history?symbol=BTC_USDT&page_num=1&page_size=20"

Response Example

{
"success": true,
"code": 0,
"data": {
"pageSize": 3,
"totalCount": 1619,
"totalPage": 540,
"currentPage": 1,
"resultList": [
{
"symbol": "BTC_USDT",
"fundingRate": 0.000021,
"settleTime": 1761868800000,
"collectCycle": 8
},
{
"symbol": "BTC_USDT",
"fundingRate": 0.000032,
"settleTime": 1761840000000,
"collectCycle": 8
},
{
"symbol": "BTC_USDT",
"fundingRate": -0.000001,
"settleTime": 1761811200000,
"collectCycle": 8
}
]
}
}
  • GET /api/v1/contract/funding_rate/history

Request Parameters:

ParameterTypeRequiredDescription
symbolstringtrueContract symbol
page_numinttrueCurrent page, default 1
page_sizeinttruePage size, default 20, max 1000

Response Parameters:

ParameterTypeDescription
pageSizeintPage size
totalCountintTotal count
totalPageintTotal pages
currentPageintCurrent page
resultListlistResult set
symbolstringContract
fundingRatedecimalFunding rate
settleTimelongSettlement time
collectCycleintFunding cycle (hours)